import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg width="20" height="24" viewBox="0 0 20 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
		<path d="M18.728 2.16471C18.3515 1.88235 17.7868 1.6 17.0339 1.6C17.0339 1.50588 17.0339 1.31765 17.0339 1.22353C17.0339 0.564706 16.4692 0 15.8103 0H3.8574C3.19858 0 2.63388 0.564706 2.63388 1.22353C2.63388 1.31765 2.63388 1.50588 2.63388 1.6C1.88093 1.6 1.41035 1.88235 1.03388 2.16471C0.186817 2.82353 -0.189654 3.95294 0.0926991 5.17647C0.280934 6.21176 1.03388 6.77647 1.78682 7.34118C2.72799 8.09412 3.76329 8.94118 4.8927 10.8235C4.98682 11.0118 5.17505 11.1059 5.45741 11.1059C5.55152 11.1059 5.64564 11.1059 5.73976 11.0118C5.83388 10.9176 5.92799 10.8235 5.92799 10.7294C6.68093 11.7647 7.52799 12.5176 8.56329 12.8941C8.37505 13.8353 7.99858 15.1529 6.96329 15.7176C6.58682 15.9059 6.30446 16.3765 6.30446 16.7529V17.9765C5.64564 17.9765 5.08093 18.5412 5.08093 19.2V22.7765C5.08093 23.4353 5.64564 24 6.30446 24H13.5515C14.2103 24 14.7751 23.4353 14.7751 22.7765V19.2C14.7751 18.5412 14.2103 17.9765 13.5515 17.9765V16.7529C13.5515 16.2824 13.2692 15.9059 12.8927 15.7176C11.8574 15.1529 11.3868 13.8353 11.2927 12.8941C12.2339 12.5176 13.1751 11.6706 13.928 10.7294C14.0221 10.8235 14.0221 10.9176 14.1162 11.0118C14.2103 11.1059 14.3045 11.1059 14.3986 11.1059C14.5868 11.1059 14.7751 11.0118 14.9633 10.8235C16.0927 8.94118 17.2221 8.09412 18.0692 7.34118C18.8221 6.68235 19.4809 6.11765 19.7633 5.08235C19.9515 3.95294 19.5751 2.72941 18.728 2.16471ZM2.53976 6.4C1.78682 5.74118 1.41035 5.45882 1.22211 4.89412C1.12799 4.32941 1.22211 3.48235 1.6927 3.10588C2.06917 2.82353 2.35152 2.82353 2.82211 2.82353C3.10446 4.42353 3.57505 6.30588 4.42211 8.09412C3.66917 7.34118 3.10446 6.77647 2.53976 6.4ZM13.5515 22.8706H6.30446V19.2941H13.5515V22.8706ZM12.328 16.8471C12.328 18.0706 12.328 18.0706 12.328 18.0706H7.52799C7.52799 18.0706 7.52799 18.0706 7.52799 16.8471C9.03388 16.0941 9.59858 14.4 9.78682 13.1765H9.88093H9.97505C10.2574 14.4 10.8221 16.0941 12.328 16.8471ZM9.88093 12.0471C6.58682 12.0471 3.8574 4.51765 3.8574 1.22353H15.9045C15.9045 4.51765 13.1751 12.0471 9.88093 12.0471ZM18.5398 4.89412C18.4456 5.45882 18.0692 5.74118 17.2221 6.4C16.6574 6.77647 16.0927 7.34118 15.3398 8.09412C16.1868 6.30588 16.7515 4.42353 16.9398 2.82353C17.4103 2.82353 17.6927 2.91765 17.9751 3.10588C18.5398 3.48235 18.6339 4.23529 18.5398 4.89412Z" fill="#1890FF" />
	</svg>

);

export default SvgComponent;
